import { Camera, Scene, ShaderMaterial, Texture } from 'three';
import { Pass } from 'three/examples/jsm/postprocessing/Pass.js';
import { InputColorTextureUniform, InputColorInterpolateTextureUniform, SpeckleProgressivePass, RenderType } from './SpecklePass';
export declare class ApplySAOPass extends Pass implements SpeckleProgressivePass {
    private fsQuad;
    materialCopy: ShaderMaterial;
    private frameIndex;
    private accumulatioFrames;
    constructor();
    setTexture(uName: InputColorTextureUniform | InputColorInterpolateTextureUniform, texture: Texture): void;
    get displayName(): string;
    get outputTexture(): Texture;
    setParams(params: unknown): void;
    setFrameIndex(index: number): void;
    setAccumulationFrames(frames: number): void;
    setRenderType(type: RenderType): void;
    update(scene: Scene, camera: Camera): void;
    render(renderer: any, writeBuffer: any, readBuffer: any): void;
}
